Subject: Sorry!!!
From: "Mike" <[email-masked]>
To: "Amanda Whitehead" <[email-masked]>
Date: Sat, 18 Dec 2010 13:45:57 -0500

Amanda,
I am so sorry that I missed practice.  Truth is, I was doing nothing at home, dozing go on the couch when I looked up to see what time it was.  In big red letters: 8:50.  Yikes!  I meant to email you yesterday and just got too tied up in the work day... I forgot.  Not really like me at all and I'm afraid all I can claim is Ooooh shiny!  Now you know where my Christina gets it from.  Anyway, if you haven't replaced me and need me, I can be there in the morning for you.  This is my work email and unfortunately I can't access it from the outside and I am leaving work now.  If you don't mind, you can text me on my cell at 775-4916.  Again, so sorry!  Let me know.
Thank you,
Michael Bishop
[email-masked]